pldd(1)

NUME
pldd - afișează obiectele partajate dinamice legate la un proces

REZUMAT
pldd pid
pldd opțiune

DESCRIERE
Comanda pldd afișează o listă a obiectelor partajate dinamice (DSO) care sunt legate în procesul cu ID-ul de proces specificat (PID). Lista include bibliotecile care au fost încărcate dinamic cu ajutorul dlopen(3).

OPȚIUNI

-?, --help
    Afișați mesajul de ajutor și iese.

--usage
    Afișează un scurt mesaj de utilizare și iese.

-V, --version
    Afișează informațiile despre versiunea programului și iese.

STARE DE IEȘIRE
În caz de succes, pldd iese cu starea 0. Dacă procesul specificat nu există, dacă utilizatorul nu are permisiunea de a accesa lista sa dinamică de obiecte partajate sau dacă nu sunt furnizate argumente la linia de comandă, pldd iese cu starea 1. Dacă i se furnizează o opțiune nevalidă, iese cu starea 64.

VERSIUNI
Alte sisteme au o comandă similară.

STANDARDE
Niciunul.

ISTORIC
glibc 2.15.

NOTE
Comanda

    lsof -p PID

afișează, de asemenea, o ieșire care include obiectele partajate dinamice care sunt legate de un proces.

Comanda gdb(1) info shared arată, de asemenea, bibliotecile partajate utilizate de un proces, astfel încât se poate obține o ieșire similară cu pldd folosind o comandă precum cea de mai jos (pentru a monitoriza procesul cu pid-ul specificat):

    $ gdb -ex "set confirm off" -ex "set height 0" -ex "info shared" \
            -ex "quit" -p $pid | grep '^0x.*0x'

ERORI
De la glibc 2.19 la glibc 2.29, pldd era deteriorat: se bloca atunci când era executat. Această problemă a fost rezolvată în glibc 2.30, iar soluția a fost preluată în versiunile glibc anterioare din unele distribuții.

EXEMPLE
    $ echo $$               # Afișează PID-ul shell-ului
    1143
    $ pldd $$               # Afișează DSO-urile legate în shell
    1143:   /usr/bin/bash
    linux-vdso.so.1
    /lib64/libtinfo.so.5
    /lib64/libdl.so.2
    /lib64/libc.so.6
    /lib64/ld-linux-x86-64.so.2
    /lib64/libnss_files.so.2

CONSULTAȚI ȘI
ldd(1), lsof(1), dlopen(3), ld.so(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.